net.sourceforge.pmd.testframework

## Class SimpleAggregatorTst.CustomXmlTestClassMethodsRunner

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.internal.runners.JUnit4ClassRunner
    - - net.sourceforge.pmd.testframework.SimpleAggregatorTst.CustomXmlTestClassMethodsRunner

- All Implemented Interfaces:
    org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Sortable
  Enclosing class:
    SimpleAggregatorTst

      public static class SimpleAggregatorTst.CustomXmlTestClassMethodsRunner
      extends org.junit.internal.runners.JUnit4ClassRunner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleAggregatorTst.CustomXmlTestClassMethodsRunner(Class<?> klass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFailure(org.junit.runner.notification.Failure failure)`
    `static void` | `addIgnore(org.junit.runner.Description description)`
    `static org.junit.runner.Description` | `createDescription(Rule rule, String testName)`
    `static org.junit.runner.notification.Failure` | `createFailure(Rule rule, Throwable targetException)`
    `void` | `run(org.junit.runner.notification.RunNotifier n)`

    - ### Methods inherited from class org.junit.internal.runners.JUnit4ClassRunner

      `classAnnotations, createTest, filter, getDescription, getName, getTestClass, getTestMethods, invokeTestMethod, methodDescription, runMethods, sort, testAnnotations, testName, validate, wrapMethod`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleAggregatorTst.CustomXmlTestClassMethodsRunner

          public SimpleAggregatorTst.CustomXmlTestClassMethodsRunner(Class<?> klass)
                                                              throws org.junit.internal.runners.InitializationError

      Throws:
        `org.junit.internal.runners.InitializationError`

  - ### Method Detail

    - #### createFailure

          public static org.junit.runner.notification.Failure createFailure(Rule rule,
                                                            Throwable targetException)

    - #### createDescription

          public static org.junit.runner.Description createDescription(Rule rule,
                                                       String testName)

    - #### addFailure

          public static void addFailure(org.junit.runner.notification.Failure failure)

    - #### addIgnore

          public static void addIgnore(org.junit.runner.Description description)

    - #### run

          public void run(org.junit.runner.notification.RunNotifier n)

      Overrides:
        `run` in class `org.junit.internal.runners.JUnit4ClassRunner`

Copyright © 2002-2013 InfoEther. All Rights Reserved.